Package and Deployment Wizard - MDAC

Package and Deployment Wizard - MDAC

Post by Clin » Wed, 21 Oct 1998 04:00:00



Riddle me this,

    VB5 - nice little app; set wizard produces 3-4 disks no problem!

    VB6 - Along comes MDAC and the Package and Deployment Wizard produces 10
1.4M Cabs

    All I wanted was JET 3.51 and thats all I selected. any one have any
ideas as to what I'm doing wrong or is this now the norm!

 
 
 

1. MDAC & VB ADO Package Deployment

Sir,
The distribution of MDAC has been a sore spot with developers for a long
time now!  Specify the size, reboots, and dependencies that are needed to
install MDAC!

The good news is that for the newer OS, Microsoft has included MDAC with the
OS.  For example, Windows 98 SE includes MDAC 2.1.  Windows ME and 2000
includes MDAC 2.5.   Note to install MDAC 2.5 SP1 on Windows 2000, you must
install Windows 2000 SP1.

The bad news is that for all other OS (Windows 95, Windows 98, NT 4.0) you
have to install MDAC yourself, or install a Microsoft program that installs
MDAC for you.  There are several Microsoft products that install MDAC.   For
example, search for "msadc15.dll" at:
http://support.microsoft.com/servicedesks/fileversion/dllinfo.asp?sd=...
then click on the More Information link.

IE does install MDAC, but it's only installs the core components (ADO, RDS,
ODBC, OLE DB) and none of the ODBC Drivers or OLE DB Providers.  This works
well for RDS which uses the Driver/Provider on a remote machine. But it does
not work very well for programs that use these Drivers/Providers on the
local machine!

For folks who use MDAC (ADO) 2.6 with JET 4.0 OLE DB Provider, the
distribution story gets even worst.   MDAC 2.6 doesn't include any of the
JET components anymore!  Hence to install MDAC 2.6 and the latest JET 4.0
components, you will need to do the following:

- If you already have MDAC 2.5 installed
(e.g. Windows 2000 / Windows ME),
Install MDAC 2.6,
http://www.microsoft.com/data/download.htm#26info
Then install Jet 4.0 SP5
http://support.microsoft.com/support/kb/articles/Q239/1/14.ASP
Note the different EXEs depending on which OS you are using!

- If you don't have MDAC 2.5 installed
(e.g.  Windows 95, Windows 98, and Windows NT 4.0)
Install MDAC 2.6
http://www.microsoft.com/data/download.htm#26info
Then install Jet 4.0 SP3  (which is the JET version in MDAC 2.5)
http://www.microsoft.com/data/download.htm#Jet4SP3info
Then install Jet 4.0 SP5  (which installs the latest version of JET)
http://support.microsoft.com/support/kb/articles/Q239/1/14.ASP
Note the different EXEs depending on which OS you are using!

Because of these JET issues, the trend is to move away from JET and towards
MSDE database.
http://msdn.microsoft.com/library/backgrnd/html/msdeforvs.htm

--

Thanks,
Carl Prothman
Microsoft Visual Basic MVP
http://www.able-consulting.com

2. Postgres and JBoss configuration

3. SQLDMO Problem

4. Package & Deployment Wizard with SQL2000

5. CORRUPTED TMEMOFIELDS

6. Package and Deployment Wizard

7. Error Inside Procedure

8. ADO 2.0 and Package/Deployment Wizard

9. Package and Deployment Wizard

10. Package and deployment wizard

11. Package&Deployment wizard problem

12. Question on Package and Deployment Wizard